Bug 1676220 - wsjtx: FTBFS in Fedora rawhide/f30
Summary: wsjtx: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wsjtx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 22:22 UTC by Fedora Release Engineering
Modified: 2019-03-12 21:08 UTC (History)
2 users (show)

Fixed In Version: wsjtx-2.0.1-1.fc29 wsjtx-2.0.1-1.fc28 wsjtx-2.0.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-06 06:58:06 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 22:22 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 22:22 UTC, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2019-02-11 22:22 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 22:22:21 UTC
wsjtx failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32509239


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix wsjtx at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
wsjtx will be orphaned. Before branching of Fedora 31,
wsjtx will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 22:22:23 UTC
Created attachment 1533613 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 22:22:25 UTC
Created attachment 1533614 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 22:22:26 UTC
Created attachment 1533615 [details]
state.log

Comment 4 Jaroslav Škarvada 2019-02-11 22:50:28 UTC
It fails when compiling with gfortran-9. Problem reported upstream, it will be fixed in next upstream release.

Comment 5 Fedora Update System 2019-02-25 20:34:47 UTC
wsjtx-2.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-86ef688184

Comment 6 Fedora Update System 2019-02-25 20:34:52 UTC
wsjtx-2.0.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7d905d8730

Comment 7 Fedora Update System 2019-02-25 20:35:40 UTC
wsjtx-2.0.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1c2fdd42e

Comment 8 Fedora Update System 2019-02-26 01:44:18 UTC
wsjtx-2.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-86ef688184

Comment 9 Fedora Update System 2019-02-26 02:12:13 UTC
wsjtx-2.0.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7d905d8730

Comment 10 Fedora Update System 2019-02-26 04:11:24 UTC
wsjtx-2.0.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d1c2fdd42e

Comment 11 Fedora Update System 2019-03-06 06:58:06 UTC
wsjtx-2.0.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-03-06 15:28:07 UTC
wsjtx-2.0.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-03-12 21:08:06 UTC
wsjtx-2.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.